## org.hibernate.metamodel.binding
Class ManyToManyCollectionElement

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractCollectionElement
          org.hibernate.metamodel.binding.ManyToManyCollectionElement

    public class ManyToManyCollectionElement

extends AbstractCollectionElement

Method Summary
`void` `fromHbmXml(org.dom4j.Element node)`
`CollectionElementNature` `getCollectionElementNature()`
`String` `getManyToManyOrderBy()`
`String` `getManyToManyWhere()`
`void` `setManyToManyOrderBy(String manyToManyOrderBy)`
`void` `setManyToManyWhere(String manyToManyWhere)`

Methods inherited from class org.hibernate.metamodel.binding.AbstractCollectionElement
`getCollectionBinding, getElementValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCollectionElementNature

    public CollectionElementNature getCollectionElementNature()

  Specified by:
    `getCollectionElementNature` in class `AbstractCollectionElement`

### fromHbmXml

    public void fromHbmXml(org.dom4j.Element node)

### getManyToManyWhere

    public String getManyToManyWhere()

### setManyToManyWhere

    public void setManyToManyWhere(String manyToManyWhere)

### getManyToManyOrderBy

    public String getManyToManyOrderBy()

### setManyToManyOrderBy

    public void setManyToManyOrderBy(String manyToManyOrderBy)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.